org.bouncycastle.asn1

## Class ASN1GraphicString

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ASN1Primitive
    - - org.bouncycastle.asn1.ASN1GraphicString

- All Implemented Interfaces:
    ASN1Encodable, ASN1String, Encodable
  Direct Known Subclasses:
    DERGraphicString

      public abstract class ASN1GraphicString
      extends ASN1Primitive
      implements ASN1String

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ASN1GraphicString` | `getInstance(ASN1TaggedObject taggedObject, boolean declaredExplicit)` Return a GraphicString from a tagged object.
    `static ASN1GraphicString` | `getInstance(java.lang.Object obj)` Return a GraphicString from the passed in object.
    `byte[]` | `getOctets()`
    `java.lang.String` | `getString()` Return a Java String representation of this STRING type's content.
    `static ASN1GraphicString` | `getTagged(ASN1TaggedObject taggedObject, boolean declaredExplicit)`
    `int` | `hashCode()`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Primitive

      `encodeTo, encodeTo, equals, equals, equals, fromByteArray, fromStream, toASN1Primitive`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `getEncoded, getEncoded, hasEncodedTagValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ASN1GraphicString getInstance(java.lang.Object obj)

      Return a GraphicString from the passed in object.
      Parameters:
        `obj` - an ASN1GraphicString or an object that can be converted into one.
      Returns:
        an ASN1GraphicString instance, or null.
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted.

    - #### getInstance

          public static ASN1GraphicString getInstance(ASN1TaggedObject taggedObject,
                                                      boolean declaredExplicit)

      Return a GraphicString from a tagged object.
      Parameters:
        `taggedObject` - the tagged object holding the object we want.
        `declaredExplicit` - true if the object is meant to be explicitly tagged, false otherwise.
      Returns:
        an ASN1GraphicString instance, or null.
      Throws:
        `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

    - #### getTagged

          public static ASN1GraphicString getTagged(ASN1TaggedObject taggedObject,
                                                    boolean declaredExplicit)

    - #### getOctets

          public final byte[] getOctets()

    - #### hashCode

          public final int hashCode()

      Specified by:
        `hashCode` in class `ASN1Primitive`

    - #### getString

          public final java.lang.String getString()

      Description copied from interface: `ASN1String`
      Return a Java String representation of this STRING type's content.
      Specified by:
        `getString` in interface `ASN1String`
      Returns:
        a Java String representation of this STRING.